Autor Tópico: Emulador de Nintendo 64  (Lida 19837 vezes)

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Emulador de Nintendo 64
« Online: 13 de Maio de 2013, 17:03 »
Alguém sabe de algum emulador que funcione por interface gráfica no Ubuntu? Me parece que o MupenPlus só funciona por terminal, e ele deve ter sido descontinuado também...
Senão que terei que instalar o Project64 pelo Wine =(
« Última modificação: 13 de Maio de 2013, 17:04 por Renan Rischiotto »

Offline Solid One

  • Usuário Ubuntu
  • *
  • Mensagens: 276
  • Linux for human beings
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #1 Online: 13 de Maio de 2013, 17:23 »
Presumo que você esteja usando o Ubuntu na versão 12.04 ou superior, e que tenha tentado instalar o Mupen64plus a partir dos repositórios.

Se as duas condições acima estiverem corretas, então é o seguinte: Nas versões mais recentes do Ubuntu, passaram a utilizar as versões mais atuais do Mupen64plus nos repositórios oficiais, que é a 1.9.algumacoisa.

Mas o que poucos sabem é que, alguns anos atrás, na época do Ubuntu 10.04 Lucid Lynx, a versão do Mupen64plus possuía uma interface gráfica (muito boa, por sinal). Na época, a versão do emulador disponível nos repositórios era a 1.5.

Ao achar isso estranho, pesquisei sobre o assunto, e descobri que em versões superiores à 1.5 do Mupen64plus, mudaram um monte de coisas no emulador, de modo que tiveram que descartar a interface gráfica da versão 1.5 e usar o emulador apenas via terminal.

Sendo esse o caso, para usar o Mupen64plus com interface gráfica, você tem duas escolhas:

1. Ir no site do Mupen64plus e baixa a versão 1.5 do emulador, que possui a interface gráfica antiga (aqui o link do binário para 32-bits, por exemplo: http://code.google.com/p/mupen64plus/downloads/detail?name=Mupen64Plus-1-5-bin-32.tar.gz&can=1&q=1-5);
2. Continuar usando a versão mais recente, e procurar por "CuteMupen". Trata-se de uma interface gráfica desenvolvida à parte para as versões mais recentes do Mupen64Plus, projetada para substituir a interface gráfica antiga. Ela quebra o galho razoavelmente, embora esteja faltando várias funcionalidades básicas, como por exemplo configurar comandos de controles. De todo modo, você a encontra aqui: http://sourceforge.net/projects/cutemupen/

No meu caso, uso o Ubuntu 12.10 lá em casa, e optei pela primeira escolha. Embora eu não possa usufruir dos novos recursos das versões atuais do Mupen64Plus, a interface gráfica funciona muito bem, e praticamente todos os jogos que testei rodam a 60fps num Core 2 Duo. Só o fato dela possuir uma interface gráfica completa me fez deixar de usar a versão dos repositórios e usar a 1.5.

EDIT: O Mupen64Plus 1.5 possui uma dependência que precisa ser instalada, para ser possível configurar os controles: o pacote "libsdl-ttf2", que pode ser instalado pela Central de Programas do Ubuntu
« Última modificação: 09 de Outubro de 2013, 17:02 por Solid One »

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #2 Online: 13 de Maio de 2013, 17:55 »
Qual é o repositório?

Offline Solid One

  • Usuário Ubuntu
  • *
  • Mensagens: 276
  • Linux for human beings
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #3 Online: 13 de Maio de 2013, 18:03 »
Quando falo que você talvez tenha instalado o Mupen64Plus a partir dos repositórios, me refiro a quando você vai, por exemplo, na Central de Programas do Ubuntu e pesquisa lá por "Nintendo 64" e instala o Mupen64plus por lá.

Já no caso do Mupen64plus, caso queira usar a versão 1.5, você pode baixar no link que lhe passei acima.

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #4 Online: 13 de Maio de 2013, 18:06 »
Obrigado  :)

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #5 Online: 13 de Maio de 2013, 18:36 »
Ta tenso rodar uma rom aqui nesse Mupen64plus 1.99 heim rsrsrs
Até com a interface gráfica ^^

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #6 Online: 13 de Maio de 2013, 18:46 »
Ahh deixa queto, a versão 1.5 não abre as configurações de controle pra configurar....
O Wine não roda o Project64 também...o negócio é ficar sem emulador mesmo :(

Offline Solid One

  • Usuário Ubuntu
  • *
  • Mensagens: 276
  • Linux for human beings
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #7 Online: 14 de Maio de 2013, 10:50 »
Ahh deixa queto, a versão 1.5 não abre as configurações de controle pra configurar....
O Wine não roda o Project64 também...o negócio é ficar sem emulador mesmo :(

Aqui funciona normal. Quando vou mudar os controles, aparece uma telinha explicando detalhadamente como configurar os controles. Já usei o Mupen64plus com até 4 controles USB plugados no meu notebook com 10.04, e funcionou perfeitamente. E até onde vi, o mesmo vale pro 12.10 quando baixei esse link que lhe passei e rodei o binário.

Na dúvida, qual o chipset de vídeo que você usa? Intel? ATI? SIS? VIA?

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #8 Online: 14 de Maio de 2013, 11:56 »
Chipset de vídeo? Não seria placa de vídeo?

NVIDIA GeForce 8400GS 512MB

Offline Solid One

  • Usuário Ubuntu
  • *
  • Mensagens: 276
  • Linux for human beings
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #9 Online: 16 de Maio de 2013, 08:54 »
Não sei se o seu problema é com o emulador rodar em si, ou se é só com os controles, mas na dúvida, me vêem a cabeça as seguintes hipóteses

1. Acho que você não está com os drivers da Nvidia instalados e ativados no seu sistema, e isso pode impedir o emulador de projetar imagem (ou fazê-lo com menos desempenho e talvez com mais erros de emulação);
2. O seu sistema é de arquitetura 64-bits, e você baixou a versão para 32-bits (mesmo com as bibliotecas ia32, nem sempre a execução de código 32-bits em máquinas 64-bits será totalmente funcional);

Se for o primeiro caso, tente instalar e ativar os driver e abrir o emulador de novo.

Se for o segundo, você pode baixar a versão 1.5 para 64-bits aqui: http://code.google.com/p/mupen64plus/downloads/detail?name=Mupen64Plus-1-5-bin-64.tar.gz&can=1&q=

Bom, há outra alternativa. Não testei isso (ou pelo menos não me lembro), mas você pode ainda compilar a versão 1.5 direto do código-fonte, se quiser, o que pode garantir uma estabilidade maior no seu hardware em particular. O link do source do Mupen64plus 1.5 está aqui: http://code.google.com/p/mupen64plus/downloads/detail?name=Mupen64Plus-1-5-src.tar.gz&can=1&q=

Offline Renan Rischiotto

  • Usuário Ubuntu
  • *
  • Mensagens: 2.888
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #10 Online: 23 de Maio de 2013, 16:13 »
Os drivers estão corretos e a versão é a 32-bits mesmo...
Quanto a isso de compilar, não sei fazer e nem sei o que significa direito rsrs

Offline yureee123

  • Usuário Ubuntu
  • *
  • Mensagens: 154
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #11 Online: 08 de Outubro de 2013, 13:44 »
Ahh deixa queto, a versão 1.5 não abre as configurações de controle pra configurar....
O Wine não roda o Project64 também...o negócio é ficar sem emulador mesmo :(

Desculpem ressucitar o tópico mas estou com a mesma questão.
Seguindo as indicações desta discussão eu baixei o Mupen 1.5 e veio bonitinho com interface, mas as configurações de input não abrem também. Percebi que na pasta de configurações não consta o arquivo InputAutoCfg.ini como indica este tópico: http://code.google.com/p/mupen64plus/wiki/ControllerSetup
Não sei se é esse o problema, e menos ainda como resolvê-lo. Mas talvez seja uma pista.

Offline yureee123

  • Usuário Ubuntu
  • *
  • Mensagens: 154
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #12 Online: 09 de Outubro de 2013, 00:01 »
Consegui abrir a configuração de input agora trocando o plugin de input. Deletei o plugin básico que vem no Mupen e substituí pelo Blight's SDL input plugin 0.0.10 que arrumei em algum forum lugar na net que já não lembro mais.

Porém ainda assim persiste um problema. O joystick não é reconhecido. =/

Vamos caminhando a passos de tartaruga... :)

Offline Solid One

  • Usuário Ubuntu
  • *
  • Mensagens: 276
  • Linux for human beings
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #13 Online: 09 de Outubro de 2013, 08:18 »
Consegui abrir a configuração de input agora trocando o plugin de input. Deletei o plugin básico que vem no Mupen e substituí pelo Blight's SDL input plugin 0.0.10 que arrumei em algum forum lugar na net que já não lembro mais.

Porém ainda assim persiste um problema. O joystick não é reconhecido. =/

Vamos caminhando a passos de tartaruga... :)

Cara, acho que tem algo estranho aí, porque pelo que eu me lembro, quando eu baixei o Mupen64Plus 1.5, já veio incluso nele o plugin "Blight's SDL input plugin 0.0.10". Se ele não veio incluso no seu pacote, então você deve ter baixado a versão 1.5 de outro lugar.

A versão que eu baixei foi essa:

https://code.google.com/p/mupen64plus/downloads/detail?name=Mupen64Plus-1-5-bin-32.tar.gz&can=1&q= (32-bits)
https://code.google.com/p/mupen64plus/downloads/detail?name=Mupen64Plus-1-5-bin-64.tar.gz&can=1&q= (64-bits)

Baixei a de 32 bits, e nela já veio todos os plug-ins básicos que me lembro, inclusive o que você mencionou.

Para ver a lista de todas as versões do Mupen64plus disponíveis, segue o link:
https://code.google.com/p/mupen64plus/downloads/list?can=1&q=&colspec=Filename+Summary+Uploaded+ReleaseDate+Size+DownloadCount

Offline yureee123

  • Usuário Ubuntu
  • *
  • Mensagens: 154
    • Ver perfil
Re: Emulador de Nintendo 64
« Resposta #14 Online: 09 de Outubro de 2013, 10:20 »
Consegui abrir a configuração de input agora trocando o plugin de input. Deletei o plugin básico que vem no Mupen e substituí pelo Blight's SDL input plugin 0.0.10 que arrumei em algum forum lugar na net que já não lembro mais.

Porém ainda assim persiste um problema. O joystick não é reconhecido. =/

Vamos caminhando a passos de tartaruga... :)

Cara, acho que tem algo estranho aí, porque pelo que eu me lembro, quando eu baixei o Mupen64Plus 1.5, já veio incluso nele o plugin "Blight's SDL input plugin 0.0.10". Se ele não veio incluso no seu pacote, então você deve ter baixado a versão 1.5 de outro lugar.

A versão que eu baixei foi essa:

https://code.google.com/p/mupen64plus/downloads/detail?name=Mupen64Plus-1-5-bin-32.tar.gz&can=1&q= (32-bits)
https://code.google.com/p/mupen64plus/downloads/detail?name=Mupen64Plus-1-5-bin-64.tar.gz&can=1&q= (64-bits)

Baixei a de 32 bits, e nela já veio todos os plug-ins básicos que me lembro, inclusive o que você mencionou.

Para ver a lista de todas as versões do Mupen64plus disponíveis, segue o link:
https://code.google.com/p/mupen64plus/downloads/list?can=1&q=&colspec=Filename+Summary+Uploaded+ReleaseDate+Size+DownloadCount

Se não me engano eu baixei do lugar que você indicou neste mesmo tópico. Mas vou dar um purge aqui e baixar de novo. Pode ser que eu tenha confundido...